package com.hzjt.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;

public class Output {
    private int SubClass;

    //最大行人细类输出个数为1
    @JsonIgnore
    private int MaxHumanSubClassNum;

    //最大车辆细类输出个数为输出全部
    @JsonIgnore
    private int MaxVehicleSubClassNum;
    //最大骑行细类输出个数为3
    @JsonIgnore
    private int MaxBikeSubClassNum;

    public Output(int subClass, int maxHumanSubClassNum, int maxVehicleSubClassNum, int maxBikeSubClassNum) {
        SubClass = subClass;
        MaxHumanSubClassNum = maxHumanSubClassNum;
        MaxVehicleSubClassNum = maxVehicleSubClassNum;
        MaxBikeSubClassNum = maxBikeSubClassNum;
    }

    public void setSubClass(int SubClass) {
        this.SubClass = SubClass;
    }

    @JSONField(name = "SubClass")
    public int getSubClass() {
        return this.SubClass;
    }

    public void setMaxHumanSubClassNum(int MaxHumanSubClassNum) {
        this.MaxHumanSubClassNum = MaxHumanSubClassNum;
    }

    @JSONField(name = "MaxHumanSubClassNum")
    public int getMaxHumanSubClassNum() {
        return this.MaxHumanSubClassNum;
    }

    public void setMaxVehicleSubClassNum(int MaxVehicleSubClassNum) {
        this.MaxVehicleSubClassNum = MaxVehicleSubClassNum;
    }

    @JSONField(name = "MaxVehicleSubClassNum")
    public int getMaxVehicleSubClassNum() {
        return this.MaxVehicleSubClassNum;
    }

    public void setMaxBikeSubClassNum(int MaxBikeSubClassNum) {
        this.MaxBikeSubClassNum = MaxBikeSubClassNum;
    }

    @JSONField(name = "MaxBikeSubClassNum")
    public int getMaxBikeSubClassNum() {
        return this.MaxBikeSubClassNum;
    }
}
